#-------------------------------------------------
#
# Project created by QtCreator 2019-03-13T08:01:56
#
#-------------------------------------------------

QT       -= core gui

TARGET = AvbDdcLegacy
TEMPLATE = lib

DLLDESTDIR = $${PWD}/../../_scopetest

DEFINES += AVBDDCLEGACY_LIBRARY

# The following define makes your compiler emit warnings if you use
# any feature of Qt which as been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += avbddclegacy.cpp \
    avb_ddc_simulator.cpp

HEADERS += avbddclegacy.h\
        avbddclegacy_global.h \
        avb_driver.h

HEADERS += \
    DDC/TestSim/Bc.h \
    DDC/TestSim/ddcMEM.H \
    DDC/TestSim/DEFINES.H \
    DDC/TestSim/Driver.h \
    DDC/TestSim/ERR.H \
    DDC/TestSim/Int.h \
    DDC/TestSim/Irq.h \
    DDC/TestSim/Mt.h \
    DDC/TestSim/Rep.h \
    DDC/TestSim/RT.H \
    DDC/TestSim/TEST.H \
    DDC/TestSim/TIMER.H \
    DDC/TestSim/TS_drv.h \
    DDC/TestSim/TS_Ena.H \
    DDC/TestSim/TS_NTdrv.h \
    DDC/TestSim/TYPEDEF.H \
    DDC/TestSim/VIFunc.h \
    DDC/TestSim/VisaType.h

INCLUDEPATH += $${PWD}/DDC/TestSim
#DEFINES += AVB_ACEXTREME
#INCLUDEPATH += $${PWD}/DDC/AceXtreme

LIBS += -L$${PWD}/DDC/TestSim -lTestSim32-usb

unix {
    target.path = /usr/lib
    INSTALLS += target
}
